﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace AddNamedItem
{
    public class MyConnection
    {
        private string _connType;
        private string _connString;
        private string _connSQL;

        internal MyConnection()
        {

        }

        public MyConnection(string connType, string connString, string sql): base()
        {
            this._connType = connType;
            this._connString = connString;
            this._connSQL = sql;
        }

        public string ConnectionType
        {
            get
            {
                if (this._connType == null)
                    throw new ArgumentNullException("ConnectionType");
                return this._connType;
            }
        }

        public string ConnectionString
        {
            get
            {
                if (this._connString == null)
                    throw new ArgumentNullException("ConnectionString");
                return this._connString;
            }
        }

        public string SQL
        {
            get
            {
                if (this._connSQL == null)
                    throw new ArgumentNullException("SQL");
                return this._connSQL;
            }
        }
    }
}
